blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
162f0c0ba68f0eabe55b4df0f99b6a1ce355f7ee | Shell | fencer85math/Scripts | /Shell/MountPoints.sh | UTF-8 | 3,347 | 3.75 | 4 | [] | no_license | #! /bin/expect
#=====================================================================
# Author : Adrian Steffen
# Date : 12/05/2017
# Purpose: This script is to run a command
# to determine the mount points of the nas.
#=====================================================================
set timeout... | true |
201c817fd6af8b27b5e14fd759936676a0a1bf98 | Shell | peter1000/ArchLinux_packages_p | /animata-svn_p/PKGBUILD | UTF-8 | 1,434 | 2.5625 | 3 | [] | no_license | # Maintainer: peter1000 <https://github.com/peter1000>
# Contributor: ianux <ianux@free.fr>
_srcname=animata
pkgname=${_srcname}-svn_p
pkgver=.r63
pkgrel=1
pkgdesc="an open source real-time animation software"
arch=('x86_64')
url="http://animata.kibu.hu/"
license=('GPL')
depends=('fltk' 'mesa')
makedepends=('scons' 's... | true |
76274351fd8e6db674228bc7d0254a8342a284e0 | Shell | andrewthauer/dotfiles | /modules/deno/.config/shell.d/deno.sh | UTF-8 | 341 | 3.34375 | 3 | [
"MIT"
] | permissive | #
# Initialize deno environment
#
if ! command_exists deno; then
return 1
fi
# XDG specification
export DENO_DIR="${XDG_CACHE_HOME:-$HOME/.cache}/deno"
export DENO_INSTALL_ROOT="${XDG_DATA_HOME:-$HOME/.local/share}/deno"
# Add deno install root to path
if [ -d "$DENO_INSTALL_ROOT/bin" ]; then
append_path "$DENO_... | true |
c528d39fde0df829e903104c67b813001b17dc4e | Shell | rsenn/scripts | /sh/functions/to-sed-expr.sh | UTF-8 | 108 | 3.015625 | 3 | [] | no_license | to-sed-expr()
{
([ $# -gt 0 ] && exec <<<"$*"
${SED-sed} 's|[.*\\]|\\&|g ;; s|\[|\\[|g ;; s|\]|\\]|g')
}
| true |
753ca0513ce27ca095877a2c8ef32bd8fdb07134 | Shell | kaoxiong/Final-Pack | /W4/Week4script.sh | UTF-8 | 215 | 2.703125 | 3 | [] | no_license |
echo "To mount a device"
echo "Please type in device name"
read Device
sleep 1
echo "mounting device"
sleep 1
mount $Device
echo "Viewing the size and utilization of your currently mounted filesystem"
sleep 1
df
| true |
1b1169b6a8efa0d9ea7ef02f5825721c4f7b4fc6 | Shell | pphe/procReport | /load.sh | UTF-8 | 478 | 3.1875 | 3 | [] | no_license | #!/bin/bash
# Quick build script.
echo "Building module."
make clean
make all
echo "Loading module."
sudo insmod procReport.ko
sleep 1 # give module a chance to generate proc data
cat /proc/proc_report > output.txt
#vim output.txt
echo "Unloading module."
sudo rmmod procReport.ko
echo
echo "Last 10 lines of /var/lo... | true |
8f0813006c300162d3b9527520aa38e0effe44d3 | Shell | prheenan/PaperRetinalBR | /Code/main/run_recursive.sh | UTF-8 | 1,114 | 3.984375 | 4 | [] | no_license | #!/bin/bash
# courtesy of: http://redsymbol.net/articles/unofficial-bash-strict-mode/
# (helps with debugging)
# set -e: immediately exit if we find a non zero
# set -u: undefined references cause errors
# set -o: single error causes full pipeline failure.
set -euo pipefail
IFS=$'\n\t'
# datestring, used in many differ... | true |
5a7e33bc855fe91ab277c6d8c84f0efd961418a3 | Shell | vlall/dsra-dcos | /client/install_software.sh | UTF-8 | 3,314 | 2.9375 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# install the little things
sudo apt-get update
sudo apt-get upgrade -y
sudo apt-get install -y wget
# Install Java
sudo apt-get install -y openjdk-7-jdk
sudo echo "JAVA_HOME=/usr/lib/jvm/java-1.7.0-openjdk-amd64" >> /etc/environment
# Get pip and virtualenv
echo "Install pip, virtualenv, ipython... | true |
b9007109c7f5c2eed335edc8994788162c4d10c6 | Shell | binss/go | /go.sh | UTF-8 | 1,058 | 3.375 | 3 | [] | no_license | #!/usr/bin/expect
set go_name [lindex $argv 0]
set flag 0
set file [open ip.txt]
while {1} {
set line [gets $file]
if {[eof $file]} {
close $file
break
}
set arguments [split $line " "]
lassign $arguments name host username password port
if {$name == $go_name} {
set fl... | true |
32c07d7f86bd9e3d5bef6f705919bcc82986917a | Shell | google-code/at-fs-mon | /mrtg/squidstats/mkmrtg/mksummrtg.sh | UTF-8 | 5,058 | 3.125 | 3 | [] | no_license | #!/bin/bash
#
# This script creates the necessary entries for squid MRTG (cloud aggregation)
# Author: ftb
#
#
voname="atlas"
rootdir="/afs/cern.ch/user/b/bujor/atlas-fs-mon/mrtg/squidstats"
scriptdir="/afs/cern.ch/user/b/bujor/atlas-fs-mon/mrtg/squidstats/mkmrtg"
if [ "${voname}" = "atlas" ]; then
sumsitefile="/a... | true |
4bf4f33d3e1ac8f9595bda2b18a0b892957b161e | Shell | yadidya-b/gcmnester | /utils/scripts/run.sh | UTF-8 | 2,093 | 3.078125 | 3 | [] | no_license | #!/bin/bash
email="glwagner@mit.edu"
tasks=30
modelName="bb_z100_test"
runName="dt240"
jobName="bbTest"
partition="sched_mit_hill"
#partition="sched_mit_raffaele"
#partition="sched_any_quicktest"
# Do stuff - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
# Set tasksPerNode and simulation time... | true |
32c5a8c20a7fb0aa24b4ddcb029d9b87790695c4 | Shell | flyflyinit/practiceBash | /ifElifElse.sh | UTF-8 | 166 | 3.34375 | 3 | [] | no_license | #!/bin/bash
if [ -d $1 ]
then
echo "this is a directory"
elif [ -f $1 ]
then
echo "this is a file"
else
echo "this is not a file, not a directory"
fi
exit 0
| true |
98a8fa778f3933a142c3e21612238f6a33dc9644 | Shell | mikemartin1090/environmart | /keyme | UTF-8 | 1,878 | 3.828125 | 4 | [] | no_license | #! /usr/bin/env bash
#########################################################
## Keys
#########################################################
_keysToLoadHelp () {
echo '
Error: Missing KEYME_KEYS_TO_LOAD Environment
Syntax:
$bitwarden_id<space>$friendly_name_on_your_disk
Example:
export KEYME_KEYS_TO_LOAD="... | true |
a0a4f51314edf9dbf6091f479686643805d280a4 | Shell | danil/dotfiles | /bin/bpkg-package | UTF-8 | 951 | 4.1875 | 4 | [
"GPL-3.0-only",
"MIT"
] | permissive | #!/bin/bash
## output usage
usage () {
echo "usage: bpkg-package [-h|--help]"
echo " or: bpkg-package <prop>"
echo " or: bpkg-package"
}
## Read a package property
bpkg_package () {
local prop="${1}"
local cwd="`pwd`"
local pkg="${cwd}/package.json"
## parse flags
case "${prop}" in
-h|--help)... | true |
89e4c4acc3f4e9e8afde5db9a148b12722f6c2b8 | Shell | cilioh/zfs_script | /backup/non_use/0525_default_4cli.sh | UTF-8 | 3,617 | 3.171875 | 3 | [] | no_license | #!/bin/bash
sig_dir="/mnt/share/cykim/signal"
folder="0525_2"
echo 3 > /proc/sys/vm/drop_caches
ssh cn8 'echo 3 > /proc/sys/vm/drop_caches'
ssh cn9 'echo 3 > /proc/sys/vm/drop_caches'
ssh cn10 'echo 3 > /proc/sys/vm/drop_caches'
ssh pm1 'echo 3 > /proc/sys/vm/drop_caches'
ssh pm2 'echo 3 > /proc/sys/vm/drop_caches'
ss... | true |
17902b8bb0250161654cc0f0a429f8bc614c863d | Shell | zhumihua/i2b2P | /python/xml2SparceData.sh | UTF-8 | 2,252 | 2.734375 | 3 | [] | no_license | #!/bin/sh
#dirIn=../data/Track2-RiskFactors/complete
#dirIn=../data/test
dirIn=../data/training-RiskFactors-Complete-Set1
dirOut=../csv
dir2014working=../data/2014working/
python2.7 main_xml2CSV1.py ${dirIn} ${dir2014working} ${dirOut}
#get dependency features
JAVA_DF_SRC=../i2b2Features/src/
JAVA_DF_LIB=../i2b2Featu... | true |
217610635af917b3e8f5033bee0b448f65e6a0e5 | Shell | DesireeWilson/TCGAprostate | /Scripts/rename.sh | UTF-8 | 527 | 2.890625 | 3 | [] | no_license | #!/bin/bash
COUNT=0
for i in $(cat /home/ayeka/Desktop/TCGAprostate/ImportantFiles/part1.csv)
do cd /home/ayeka/Desktop/TCGAprostate/genes
COUNT=$((COUNT+1))
echo $(ls | grep -ie $i )
echo $COUNT
echo $(awk "NR== (echo $COUNT)" /home/ayeka/Desktop/TCGAprostate/ImportantFiles/newpart2.csv... | true |
9c9ebd4a6d2e33d8d1f64d428c77aed3a99bc922 | Shell | sarievdima08/Vagrant_GUI_VM_Deployer | /bootstrap.sh | UTF-8 | 4,329 | 2.9375 | 3 | [] | no_license | #!/usr/bin/env bash
APT_GET_CMD=$(which apt-get)
YUM_CMD=$(which yum)
if [[ ! -z $YUM_CMD ]]; then
# BEGIN ########################################################################
echo -e "-- --------------------------------- --\n"
echo -e "-- BOOTSTRAPING PROCESS INITIALIZING... --\n"
echo -e "-- --... | true |
c50f89254fd214c269dd3a60cc6ed7ac90e1a9bd | Shell | consected/restructure | /app-scripts/parallel_test.sh | UTF-8 | 2,424 | 3.484375 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
echo > log/test.log
echo > tmp/failing_specs.log
echo > tmp/working_failing_specs.log
# Clear a variable that is often set in the session
unset QUICK
# First, run brakeman
if [ "${NO_BRAKEMAN}" != 'true' ] && [ "${SKIP_BRAKEMAN}" != 'true' ]; then
echo "Running brakeman"
bin/brakeman -q --summary > /t... | true |
07e8942f4b5a56a4b57d46a8ee77e764f79ac92e | Shell | koluacik/dotfiles | /bash-config/bash_commands/scrotfeh | UTF-8 | 608 | 3.171875 | 3 | [] | no_license | #!/usr/bin/env bash
SCREENS=$(xrandr -q | grep -w connected | wc -l)
# Use any image viewer you like.
VIEWER=fehprime
LEFT=0,0,1920,1080
RIGHT=0,0,1920,1080
if [ $SCREENS -eq 2 ]; then
RIGHT=1920,0,1920,1080
fi
case "$1" in
"select")
scrot '/tmp/%F_%T_$wx$h.png' -sf -e 'fehprime $f && rm $f'
... | true |
cef34d6a7c5c3117ecdd0c14d5ab79c2e26da75e | Shell | fpm-within-docker/fpm-within-docker | /fwd-debian-stretch/test/test | UTF-8 | 2,348 | 3.875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash -ex
# enter the directory where the build script is located
cd "${0%/*}"
# some useful variables
SRC_DIR="$(dirname $(dirname $(pwd)))/example-project/"
CURRENT_DISTRO=$(basename $(dirname "$(pwd)"))
BUILD_IMAGE="lua-${CURRENT_DISTRO}-build"
TEST_IMAGE="lua-${CURRENT_DISTRO}-test"
PULL=""
# create the bui... | true |
67b04f3500d41592c27d0fc8f8ff39c53bb102a5 | Shell | hyperprivacy/dlt | /network/docker-compose-dev.sh | UTF-8 | 1,207 | 2.96875 | 3 | [] | no_license | #!/bin/bash
#
# Copyright IBM Corp All Rights Reserved
#
# SPDX-License-Identifier: Apache-2.0
#
# Exit on first error, print all commands.
set -e
#### IMPORTANT DELETE IMAGE AND CONTAINER OF PAST CHAINCODE,BEFORE DEPLOYING NEW ONE
# don't rewrite paths for Windows Git Bash users
export MSYS_NO_PATHCONV=1
starttime=$... | true |
e118f5f7e130534b1d19026df924c0c8656953d1 | Shell | jqnik/cdhbuilder | /packer-templates/build-centos-minimal.sh | UTF-8 | 366 | 2.984375 | 3 | [] | no_license | #!/bin/sh
set -o errexit
packer build templates/centos-$rhel-x86_64-minimal/centos-$rhel-x86_64-minimal.json
vagrant box remove CentOS-$rhel-minimal
vagrant box add CentOS-$rhel-minimal packer_centos-$rhel-x86_64-minimal_virtualbox.box
vagrant box list | grep "CentOS-$rhel-minimal"
if [ $? -eq 0 ]
then
rm packer_... | true |
891adec5a781e133fef1d81c17e4d8045507caa3 | Shell | metacron/turbojet | /docker-entrypoint.sh | UTF-8 | 216 | 3.015625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
if [ -z "${GITCONFIG}" ]; then
GITCONFIG="[url \"https://git@github.com\"]
insteadOf = \"ssh://git@github.com\"
"
fi
echo "${GITCONFIG}" > ~/.gitconfig
cd "${CHANGE_DIR}/" || exit 1
exec "$@"
| true |
1c7c1807eca976354a5cd107b6825c307433d8ef | Shell | osterwalds/Honeys | /scripts/start.sh | UTF-8 | 1,033 | 2.828125 | 3 | [] | no_license | #! /bin/bash
# install rpl
apt install rpl ntpdate -y
# sync the clock with de.pool.ntp.org
ntpdate -s de.pool.ntp.org
# set europe/berlin timezone
timedatectl set-timezone Europe/Berlin
# delete unnecessary inputs.conf file
rm -f /opt/splunkforwarder/etc/system/local/inputs.conf
# replace splunk hostname with cur... | true |
afd67e4f3f3371b901fe1474eb878607994459e5 | Shell | hetiansu5/yii2-app-advance | /assets/sh/entrypoint.sh | UTF-8 | 597 | 2.96875 | 3 | [] | no_license | #!/bin/bash
# script for docker init
echo -e "Configuring Logistics Develop Environment...\n"
echo "YII_ENV=dev" >> /etc/crontab
appName="frameworks"
echo -e "Init Project...\n"
sh /www/${appName}/assets/sh/init.sh >> /var/run/init.log 2>&1 &
echo -e "Configuring Nginx\n"
cp /www/${appName}/assets/nginx_conf/* ... | true |
35c6a00915a821e197a84bc87e161701e9ee4f67 | Shell | mbrendler/osx-icons | /create-iconset.sh | UTF-8 | 2,588 | 4.09375 | 4 | [] | no_license | #! /bin/bash
#
# Creates a OS X icon, which can be used as a OS X application Icon.
#
# Informations about icons can be found here:
# https://developer.apple.com/library/mac/#documentation/GraphicsAnimation/Conceptual/HighResolutionOSX/Optimizing/Optimizing.html
#
# Contents.json:
# https://developer.apple.com/library/... | true |
de18b28bf42bef66535d3e91578bb73621bab63f | Shell | jpetazzo/container.training | /prepare-eks/30_create_or_update_policy.sh | UTF-8 | 1,734 | 3.6875 | 4 | [
"CC-BY-4.0",
"Apache-2.0"
] | permissive | #!/bin/sh
# Create an IAM policy to authorize users to do "aws eks update-kubeconfig".
# This is idempotent, which allows to update the policy document below if
# you want the users to do other things as well.
# Note that each time you run this script, it will actually create a new
# version of the policy, set that ver... | true |
cc92fdf2408a312beaf4a30783be1baa98f7cba5 | Shell | lsimons/sys-open | /puppet/modules/common/nagios/files/plugins/check_load_ex | UTF-8 | 2,586 | 3.703125 | 4 | [
"Apache-2.0",
"LicenseRef-scancode-unknown-license-reference",
"BSD-3-Clause",
"MIT"
] | permissive | #!/bin/bash
if [ $# -ne 3 ] ; then
echo "Checks system load. Usage: $0 <hostname> <warn> <crit>"
echo ""
echo " hostname: the host you aim to poll."
echo " warn : at what load level should nagios give warning?"
echo " crit : at what load level should nagios call you at home?"
echo ""
ech... | true |
38a7780bff61c18bf289233a86bcadd603b48807 | Shell | weisjohn/gvm2 | /tests/gvm_pkgset_comment_test.sh | UTF-8 | 3,169 | 3.140625 | 3 | [
"MIT"
] | permissive | source "${SANDBOX}/gvm2/scripts/gvm"
source "${SANDBOX}/gvm2/scripts/env/use.sh" || return 1
source "${SANDBOX}/gvm2/scripts/env/pkgset_use.sh" || return 1
##
## Test output messages
##
gvm pkgset # status=1; match=/Unrecognized command: empty/
gvm pkgset -h # status=0; match=/Usage: gvm pkgset <command> \[option\]/
... | true |
340b87ca959f6d957e1ab734d4ebe7014b9071b0 | Shell | Jarlotee/generator-concourse-pipeline | /generators/app/templates/scripts/publish.node.template | UTF-8 | 381 | 3.515625 | 4 | [
"MIT"
] | permissive | #!/bin/sh
# Exit on first error
set -e
# Parameter Overrides
OutputPath="${OutputPath:-../artifacts}"
Version=`cat ../version/number`
echo "Restoring dependencies"
npm install --silent --no-progress
echo "Building static assets"
npm run build --silent
echo "Publishing project"
TarName=$(npm pack --silent)
mv $TarN... | true |
4e469c968e93bf2763fbb336e2ef7fe7300a3f46 | Shell | KhondokerTanvirHossain/bash-script | /countLineWord.sh | UTF-8 | 225 | 3.421875 | 3 | [] | no_license | countLine=0
countWord=0
while IFS= read -r line; do
echo "$line"
((countLine++))
for i in $line; do
((countWord++))
done
done < "$1"
echo "Number of line : $countLine"
echo "Number of words : $countWord"
| true |
b2e1ddc336aaa5faac64fa9e37f6abbf0841dc49 | Shell | mwcraig/conda-vpython-recipes | /boost-vpython/build.sh | UTF-8 | 554 | 2.671875 | 3 | [] | no_license | #!/bin/bash
# Hints:
# http://boost.2283326.n4.nabble.com/how-to-build-boost-with-bzip2-in-non-standard-location-td2661155.html
# http://www.gentoo.org/proj/en/base/amd64/howtos/?part=1&chap=3
# Build dependencies:
# - bzip2-devel
export CFLAGS="-m64 -pipe -O2 -march=x86-64 -fPIC -shared"
export CXXFLAGS="${CFLAGS}"... | true |
84b9dd3dba41bb1c1c0d65dd0929313c855bb3e9 | Shell | FDelporte/PiJava | /scripts/pi_install/install_java_11.0.2_with_included_javafx.sh | UTF-8 | 716 | 3.078125 | 3 | [] | no_license | #!/usr/bin/env bash
# Script from http://docs.gluonhq.com/embedded/
# Adapted for https://www.bell-sw.com/pages/java-11.0.2
# Make sure we are in the home directory
cd /home/pi
# Download the Java 11.0.2 distribution from BellSoft
wget https://download.bell-sw.com/java/11.0.2/bellsoft-jdk11.0.2-linux-arm32-vfp-hflt.... | true |
599004ab11dbf4dd74afe2e373f5a3ad1bdabcd0 | Shell | benzaita/meta | /meta-versions | UTF-8 | 118 | 2.921875 | 3 | [] | no_license | #!/bin/bash
. $(dirname $0)/meta-common
components=$*
for c in $components; do
echo $c $(get_version $c)
done
| true |
4c7fb2cf77eae0fc5a46f357e0e45a318a520fea | Shell | jamesward/nodebars | /.gcloud/postcreate.sh | UTF-8 | 1,380 | 3.28125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
declare project=$GOOGLE_CLOUD_PROJECT
declare service=$K_SERVICE
declare region=$GOOGLE_CLOUD_REGION
gcloud services enable sqladmin.googleapis.com --project=$project
declare db_user=postgres
declare db_pass=$(cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 64 | head -n 1)
declare db_name=postgres
# Onc... | true |
2a1328be38f56a47eb5d1ffdca7ff0d0eebf31f7 | Shell | vkobilansky-sugar/sugar-k8s | /images/permissions/apps/sugarfixpermissions | UTF-8 | 326 | 2.703125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
cd /var/www/html
chown -R 1000:1000 .
cd sugar
if [ -e ./bin/sugarcrm ]
then
chmod 700 ./bin/sugarcrm
fi
if [ -e ./vendor/phpunit/phpunit/phpunit ]
then
chmod 700 ./vendor/phpunit/phpunit/phpunit
fi
find . -type d -exec chmod 775 {} \;
find . -type f ! -name phpunit ! -name sugarcrm -exec chmod 664 ... | true |
05ac9a5e30389de7678b8c2a54342244c4beb3eb | Shell | voyeg3r/dotfaster | /zsh/functions.d/shift-arrow.zsh | UTF-8 | 384 | 2.75 | 3 | [] | no_license | shift-arrow() {
((REGION_ACTIVE)) || zle set-mark-command
zle $1
}
for key kcap seq widget (
left LFT $'\e[1;2D' backward-char
right RIT $'\e[1;2C' forward-char
up ri $'\e[1;2A' up-line-or-history
down ind $'\e[1;2B' down-line-or-history
) {
eval "shift-$key() shift-arrow $widget"
zle ... | true |
d0ee0668ed1add6043346f6801189f55f102abc8 | Shell | usnistgov/ndn-dpdk | /mk/netlify.sh | UTF-8 | 1,022 | 2.71875 | 3 | [
"LicenseRef-scancode-unknown-license-reference",
"NIST-PD"
] | permissive | #!/bin/bash
set -euo pipefail
cd "$( dirname "${BASH_SOURCE[0]}" )"/..
rm -rf build/netlify
mkdir -p build/netlify
cp -r build/docs/html build/netlify/doxygen
find build/netlify/doxygen -name '*.html' | xargs sed -i '/<\/head>/ i\<script async src="https://www.googletagmanager.com/gtag/js?id=G-YSW3MP43Z4"></script><s... | true |
8d7044a05efa60b3dbdc4df0f04d96b6f14f8d56 | Shell | TheBeege/blog-docker | /server/server.sh | UTF-8 | 237 | 2.8125 | 3 | [
"MIT"
] | permissive | #!/bin/sh
trap exit EXIT INT TERM HUP
while true
do
# Why don't we use -k? hello.http is only piped in once
# We also send it to the background so that `wait` can catch the trap
ncat -l $(hostname -i) 8000 < hello.http &
wait
done
| true |
218133e63de49d9ccbee1ae3063a996925be6421 | Shell | skulluglify/panon_connectto_pulseeffects | /daemonize/install.sh | UTF-8 | 1,334 | 3.359375 | 3 | [
"BSD-3-Clause"
] | permissive | #! /usr/bin/env bash
if [ $(id -u) -eq 0 ]; then
echo -en "\x1b[1;31;40m root is not supported for now! \x1b[0m\n" && exit 1
fi
mkdir -p $HOME/.local/bin/
cat always_activate.sh >$HOME/.local/bin/panon_connectto_pulseeffects_always_activate.sh
chmod a+x $HOME/.local/bin/panon_connectto_pulseeffects_always_activa... | true |
febd0b2dcbe75a4217445bb2e95940226b12c842 | Shell | lauritsriple/TTK4145-Sanntid | /heis/localDeploy.sh | UTF-8 | 521 | 2.53125 | 3 | [] | no_license | #!/bin/bash
directory="/home/student/Documents/TTK4145-Sanntid/heis"
topDirectory="/home/student/Documents/"
GOPATH="$directory"
export GOPATH="$directory"
if [ ! -d "$directory" ]; then
cd "$topDirectory"; git clone https://github.com/lauritsriple/TTK4145-Sanntid
else
cd "$directory"; git pull
fi
cd $directory"/sr... | true |
a2b773a7a1997515afd0cf3c28cab298d57971db | Shell | yefengbar/learnShell | /test.sh | UTF-8 | 76 | 2.59375 | 3 | [] | no_license | #!/bin/bash
x=3
y=4
test $x -eq 3 -a $y -eq 4 && echo "use add in test"
| true |
322ca0313c80cde4354cc737abc3eb3885b049d2 | Shell | reedts/.dotfiles | /home/.zshrc | UTF-8 | 8,435 | 2.921875 | 3 | [] | no_license | # {{{ Options
# history settings
HISTFILE=~/.zsh_history
HISTSIZE=10000
SAVEHIST=10000
setopt appendhistory
setopt HIST_IGNORE_SPACE
# setopts (taken from grml config)
# save each command's beginning timestamp and the duration to the history file
setopt extended_history
# remove command lines from t... | true |
53b57bb615ffe46480b56dadceef7f5ad4713af1 | Shell | greenplum-db/gpdb | /src/test/ssl/configure_ssl.sh | UTF-8 | 480 | 3.125 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-generic-cla",
"PostgreSQL",
"OpenSSL",
"LicenseRef-scancode-stream-benchmark",
"ISC",
"LicenseRef-scancode-openssl",
"LicenseRef-scancode-other-copyleft",
"LicenseRef-scancode-ssleay-windows",
"BSD-2-Clause",
"Python-2.0"
] | permissive | #!/bin/bash
set -eo pipefail
function set_ssl_on {
echo "ssl=on" >> $1/postgresql.conf
cat >> $1/postgresql.conf <<-EOF
ssl_cert_file='server.crt'
ssl_key_file='server.key'
ssl_ca_file='root.crt'
EOF
echo "hostssl all ssltestuser 0.0.0.0/0 cert" >> $1/pg_hba.conf
}
./gen_gpdb_certs.sh
for... | true |
da9865610be54c5a74d4ba2d545aedf9d1f22ade | Shell | LongquanOS/tools-devel | /tools-devel/CLFS-MIPS/clfs-tmp-tools | UTF-8 | 8,963 | 3.109375 | 3 | [] | no_license | #!/bin/sh
export SRC=/mnt/clfs/sources
export BUILD=/mnt/clfs/sources/build
#clean build dirs
function ebuild_clean()
{
cd $BUILD && rm -rvf $BUILD/*
}
function ebuild_make()
{
make -j32 && make install
}
mkdir -pv ${TMPOS}/{bin,boot,dev,{etc/,}opt,home,lib,mnt}
mkdir -pv ${TMPOS}/{proc,media/{floppy,cdrom},... | true |
c1a8b7c51709fe04822135b29e0d470fdf3bcb5f | Shell | tedhtchang/idw | /run_test1.sh | UTF-8 | 879 | 3.296875 | 3 | [] | no_license | #!/bin/bash
HOME='/root/idw'
SCRIPT=$HOME/idw1.jmx
RESULT="$HOME/result/"
DURATION=60
SERVER=''
if [ ! -d $RESULT ];then
mkdir -p $RESULT
fi
#for th in 1 5 10 20 40 80
for th in 200
do
echo "Running $th threads using script $SCRIPT for $DURATION sec"
$HOME/apache-jmeter-5.0/bin/jmeter -n -t $SCRIPT -l ${RESULT}/... | true |
4e434998a7c097009b8bcc6d87714ebd71ea1034 | Shell | shaan7/susi_linux | /media_daemon/autostart.sh | UTF-8 | 231 | 2.890625 | 3 | [
"Apache-2.0"
] | permissive | #! /bin/bash
clear
SCRIPT_PATH=$(realpath $0)
DIR_PATH=$(dirname $SCRIPT_PATH)
cd $DIR_PATH/../susi_server/
if [ -d "susi_server" ]
then
cd $DIR_PATH
python3 auto_skills.py
else
echo "Please download Skill Data"
fi
| true |
dc179fc76b091c79f38616d13be7410c532ff92c | Shell | yepyao/kddcup2014 | /featureSelection/featureSelection.sh | UTF-8 | 1,728 | 2.734375 | 3 | [] | no_license | cd ..
./T.buf/mkbuf.sh $1 Makefile &> featureSelection/temp
java -cp codes/yep/bin/ libsvm_interface.MakeInput $1 ./model/ &> featureSelection/temp
cd xgboost_run/$1/
round=0150
xgboost $1.conf num_round=$round &> ../../featureSelection/temp
xgboost $1.conf task=pred model_in=$round.model &> ../../featureSelection/temp... | true |
f13350c90f090910be10ded538df2c492e2c8f67 | Shell | Artovs2009/OpSys | /First/Lab #2/Shell_4.sh | UTF-8 | 2,854 | 3.421875 | 3 | [] | no_license | if test $1 = '--help'
then
clear
echo '1)замещение файлов (файлы из исходного каталога замещают файлы'
echo 'резервного);'
echo '2)добавление файлов (если в резервном каталоге файла не существует, то он'
echo 'добавляется из исходного, прочие файлы не заменяются);'
echo '3)удаление файлов (если в резервном каталоге су... | true |
edf45c0141d8b4eadefade3a121741f2cb87dfb6 | Shell | Dan2552/gathering-of-scripts | /common-functions | UTF-8 | 3,281 | 4.15625 | 4 | [] | no_license | #!/usr/bin/env bash
current_dir=$( pwd )
home_dir=$( cd ~ && pwd )
script_dir=$( cd "$( dirname "$0" )" && pwd )
log=""
# usage: `if was_successful; then`
was_successful() {
[[ $? == 0 ]]
}
# usage: `if was_not_successful; then`
was_not_successful() {
[[ $? != 0 ]]
}
source_relative() {
source $script_dir/$*
... | true |
1ebb940505746cb01eeec6e0af59ab1051e0d154 | Shell | aronneewart/alcs | /archiso/build.sh | UTF-8 | 728 | 3.75 | 4 | [] | no_license | #!/bin/bash
set -e
err_report() {
echo "Error on line $1"
}
trap 'err_report $LINENO' ERR
while [[ $# -gt 0 ]]
do
key="$1"
case $key in
-h|--help)
PARAM_HELP=YES
shift # past argument
;;
*) # unknown option
PARAM_HELP=YES
shift # past argument
;;
esac
... | true |
abb6e68974fe4244e05b4b1aa3107c8e30f27ee6 | Shell | dadaurs/dots | /lecture_scripts/scripts/lectures/new-lecture | UTF-8 | 1,713 | 3.390625 | 3 | [] | no_license | #!/bin/sh
#vim:filetype=sh
#dmenu_cmd="rofi -dmenu"
#coursedir="$HOME/Maths/Cours/current-course/notes"
#lecturedir="$coursedir/lectures"
#current_course=$(readlink $HOME/Maths/Cours/current-course)
. "$HOME/scripts/lectures/config"
test -d "$coursedir/lectures" || mkdir -p "$coursedir/lectures"
get_num(){
cd "$lectu... | true |
6ffffb39d2d998435f2f9b60211f33fd60f22d37 | Shell | roy-marquez/lx2-proy-prog | /hojasExcel/src/graficar.sh | UTF-8 | 1,098 | 3.796875 | 4 | [] | no_license | #!/bin/bash
# Este script extrae archivos de excel y grafica datos.
#esta linea indica el PATH de origen de los datos xls
DATOS=../hojasDatos
#esta linea indica la subcarpeta donde se crearan los cvs
SALIDA_DATOS=$DATOS/datos_csv
#esta linea crea la subcarpeta datos_csv donde se guardan los datos
mkdir $SALIDA_DATO... | true |
120f65aab2212d31fef206322d70180a9f8d1724 | Shell | 3ximus/dotfiles | /.bash/scripts/run-as-cron.sh | UTF-8 | 3,607 | 4.4375 | 4 | [] | no_license | #!/bin/bash
# Run as if it was called from cron, that is to say:
# * with a modified environment
# * with a specific shell, which may or may not be bash
# * without an attached input terminal
# * in a non-interactive shell
# This scripts supports cron jobs run by any user, just run it as the target user (e.g. using... | true |
56befb586285e0933fdcf949f85b87a4d15fa9ff | Shell | Sitecore/docker-images | /build/linux/9.3.x/sitecore-xp-solr/initialize-solr.sh | UTF-8 | 763 | 3.453125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
echo "initialize-solr"
set -e
CORES_DIR='/opt/solr/server/solr'
ORIG_IFS=${IFS}
IFS=', '
for core in ${CORE_NAMES}; do
echo "Creating '$CORES_DIR/$core'..."
if [[ $core == *"xdb"* ]];
then
echo "XDB schema:'$core'"
cp -r /opt/solr/server/solr/configsets/_default/ $CORES_DIR/$core... | true |
7523a0d33f1f363062bb6a81c6bbdf668fd2edc2 | Shell | FHead/PhysicsHiggsProperties | /Likelihood/12663_WideSmearingLikelihood/SynthesizeLxplus.sh | UTF-8 | 1,297 | 3.046875 | 3 | [] | no_license | #!/bin/sh
mkdir -p Temp
for i0 in `seq 160001 160100`
do
i="Events_$i0.root"
echo $i
for j in Central LeptonUp LeptonDown LeptonWide LeptonNarrow \
BCentral BLeptonUp BLeptonDown BLeptonWide BLeptonNarrow
do
cat BatchSubmit/$i/LSFJOB*/STDOUT | grep "$i " | grep " $j " \
| grep -v nan ... | true |
d90439e1a0e0cd275da904a7fba89e4608b41f81 | Shell | justinweisberg/osx_dotfiles | /.bash_profile | UTF-8 | 455 | 2.640625 | 3 | [] | no_license | function parse_git_dirty {
[[ $(git status 2> /dev/null | tail -n1) != "nothing to commit (working directory clean)" ]] && echo "*"
}
export PATH="$HOME/development/rbenv/bin:$PATH"
eval "$(rbenv init -)"
export PATH="$HOME/.rbenv/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/git/bin:"
eval "$(rbenv in... | true |
59abd8fcd6347a42b2845a410e663216cca3bb9b | Shell | DnC275/Operating_system | /lab2/test3 | UTF-8 | 313 | 3.125 | 3 | [] | no_license | #!/bin/bash
ps -A O-T o pid,ppid,command | tail -n +2 > tmp.log
while read line
do
tmp_pid=$(echo $line | awk '{print $1}')
tmp_ppid=$(echo $line | awk '{print $2}')
com=$(echo $line | awk '{print $3}')
if [[ $$ != $tmp_pid && $$ != $tmp_ppid ]]; then
echo "$tmp_pid"
break
fi
done < tmp.log
rm tmp.log
| true |
e32965a63bd835cc6442b2bcb1ab843e49a4fa98 | Shell | SkeltonThatcher/leanpubmagic | /scripts/LeanCopy.sh | UTF-8 | 453 | 3.296875 | 3 | [
"MIT"
] | permissive | OS=`uname -s`
case $OS in
Darwin)
# MacOSX 10.9.3 (at least) has deprecated the -r option to cp, preserved for compatibility - RT 13/06/2014
# So we use rsync instead
rsync -auv $LEANPUB_GIT_DIR/manuscript $DROPBOX_DIR/$LEANPUB_BOOK_NAME/ ;;
Linux)
# Linux cp, i.e. from GNU Coreutils
cp -pru $LEANPUB_GIT_DIR/... | true |
01e48ff2b3ca1fa35b44cc57a7c4ec7a309fa493 | Shell | igit-cn/duobaohui | /duobaohui_mgmt/rbac/apple/package/helper/CreateHelper.sh | UTF-8 | 1,879 | 3.71875 | 4 | [] | no_license | #!/bin/bash
# author 吴辉
# time 2014-12-04
# 说明:
# 该脚本是生成helper目录下的文件的
# 注意:
# 需要在$HOME目录下建一个.my.cnf的文件
# 在.my.cnf里面添加:
# [client]
# password = ********
# 确定数据库和密码是对的
MYSQL=`which mysql`
DATABASE='sh_duobaohui'
USER='root'
echo "输入表名字,多个以空格隔开,如果需要全部的表,请输入'all'"
read TABLES
if [ "$TABLES" = "all" ];... | true |
ceeccc58bbbab7334741ddfee3247618f0472002 | Shell | generalassembly/shared_configs | /semaphore/.semaphore/bin/store-gems | UTF-8 | 241 | 2.734375 | 3 | [] | no_license | #!/usr/bin/env -S bash -e
if [[ -z $BUNDLE_PATH || -z $GEMS_CACHE_KEY ]]; then
echo -e "\e[31mERROR:\e[0m BUNDLE_PATH and GEMS_CACHE_KEY must be exported in .semaphore/bin/setup-repo"
exit 1
fi
cache store $GEMS_CACHE_KEY $BUNDLE_PATH
| true |
058ea0cb864da319dd093824dd12debe0641da5e | Shell | lihuibng/ddia | /bin/serve | UTF-8 | 280 | 2.9375 | 3 | [
"CC-BY-4.0"
] | permissive | #!/bin/bash
PROG_DIR="$(cd $(dirname $0) && pwd)"
HOME_DIR="$(cd $(dirname ${PROG_DIR}) && pwd)"
if command -v docsify; then
cd ${HOME_DIR} && docsify serve
else
cd ${HOME_DIR} && python -m SimpleHTTPServer 3001
echo "open http://localhost:3001 with your browser"
fi | true |
fa5a2508360b6fe84b43c9f6549672b733d2adbc | Shell | iknaxio/kde | /bash/encfs.mount.sh | UTF-8 | 1,317 | 3.484375 | 3 | [] | no_license | #!/bin/bash
## @author iknaxio
## @date 04/08/2015
## dropbox exclude add /home/iknaxio/Dropbox/.encrypt/.encfs6.xml ???
ENC_PRV=/home/iknaxio/Dropbox/.encrypt
ENC_DIR=/home/iknaxio/Priv_Box
TMP_PASS=`mktemp --suffix=ikn_`
LBL_ENC="Mount Encrypt Dir"
MSG01="Se va a proceder a montar $ENC_DIR. Ingrese password:"
MSG0... | true |
02298a5cc4b436c4414730f0a48151a8c63eb2d8 | Shell | SSL3/scriptntap | /ocs/serveradd.sh | UTF-8 | 871 | 2.671875 | 3 | [] | no_license | #!/bin/bash
#
# Script Copyright Fa'i Smart
# ==========================
#
if [[ $USER != 'root' ]]; then
echo "Maaf, Anda harus menjalankan ini sebagai root"
exit
fi
MYIP=$(wget -qO- ipv4.icanhazip.com);
cd
apt-get -y install perl libnet-ssleay-perl openssl libauthen-pam-perl libpam-runtime libio-pty-perl apt-sho... | true |
ff823da6fd14188b9a80eb404933e910deaf2e7f | Shell | rms1000watt/aiserver | /plumbing/trunk/ec2/scripts/backup.sh | UTF-8 | 467 | 3.265625 | 3 | [] | no_license | #!/bin/bash
# This is script creates a backup of FIMCO configuration files.
# This script should be run whenever there's a modification in
# FIMCO configuration files in the running instance.
if [ -f /ebs/admin/config_fimco.tar.gz ]
then
echo "Renaming last backup..."
mv -f /ebs/admin/config_fimco.tar.gz /ebs/admin/... | true |
8b0455f79a1e4def7116f0d825d62ecf5e422671 | Shell | Itzbenz/ReverseEngineerPack | /debug.sh | UTF-8 | 1,593 | 3.671875 | 4 | [] | no_license | #!/bin/sh
command -v apktool >/dev/null 2>&1 || { echo >&2 "I require apktool but it's not installed. Aborting."; exit 1; }
command -v keytool >/dev/null 2>&1 || { echo >&2 "I require keytool but it's not installed. Aborting."; exit 1; }
command -v jarsigner >/dev/null 2>&1 || { echo >&2 "I require jarsigner but it's ... | true |
05e82061571e4263d6e1df5d60e60c0d0671a6de | Shell | atomduan/misc-code | /shell/misc/mi/mi-hgit | UTF-8 | 1,398 | 3.09375 | 3 | [] | no_license | #!/bin/bash -
cat <<EOF
a) 创建分支 git branch 分支名
b) 切换分支 git checkout 分支名
c) 合并分支 git merge 分支名 (将其他分支合并到当千分支)
d) 查看当前分支 git branch
e) 查看所有分支 git br -a
f) 添加代码 git add -A
g) 提交版本 git commit -m ‘版本注释’
h) 拉取远程代码 git pull
i) 将代码推到远端 git push
j) 删除本地分支 git branch -d 分支名
k) 删除远程分支 git push origin --delete 分支名
l) 创... | true |
f5e8bc7b4ac3c9db72ed98d292bad19abd43fa86 | Shell | zulushakaka/named-entity-discovery-and-linking | /xianyang_linking/install_pylucene.sh | UTF-8 | 552 | 2.953125 | 3 | [] | no_license | #!/bin/bash -x
cd $(dirname $0)
[ -e "$JAVA_HOME" ] || { echo "ERROR: Please set JAVA_HOME correctly!"; exit 1; }
conda create -n xy_linking python=2.7.15
source activate xy_linking
wget -q https://www-us.apache.org/dist/lucene/pylucene/pylucene-7.6.0-src.tar.gz
tar xzf pylucene-7.6.0-src.tar.gz
cd pylucene-7.6.0/... | true |
2cd3a47034f617510abccef12e2440f8571eb959 | Shell | llan-ml/GPU_server_install | /install_docker.sh | UTF-8 | 947 | 2.890625 | 3 | [] | no_license | #!/bin/bash
trap "exit 2" SIGHUP SIGINT SIGTERM ERR
sudo apt-get update && sudo apt-get -y upgrade
sudo apt-get install -y --no-install-recommends \
apt-transport-https \
ca-certificates \
curl \
software-properties-common
:<<eof
curl -fsSL https://apt.dockerproject.org/gpg | sudo apt-key add -
sou... | true |
a1c1ae6a9766d50b587670cdb8d9fda596a83b6c | Shell | HenriqueCaires/checkpoint_utils | /collect_logs/collect_logs.sh | UTF-8 | 766 | 3.890625 | 4 | [] | no_license | #!/bin/bash
source /etc/bashrc
SCRIPT=$(readlink -f $0)
SCRIPTPATH=`dirname $SCRIPT`
collect_logs () {
cp $SCRIPTPATH/logexport.ini $FWDIR/conf/logexport.ini
NAME=$1
FILES=`find $FWDIR/log/*.log -mmin -360`
for f in $FILES ; do
echo "Extracting $f"
FILE_NAME=`basename $f`
`fwm... | true |
93de9ecffc9973ea22837d3b2f504ec378695592 | Shell | Dauliac/cours-docker-cloud | /tp2/src/scripts/init.sh | UTF-8 | 2,924 | 4.1875 | 4 | [] | no_license | #!/bin/bash
# Fork : github.com/TonyChG
# Date : Fri 28 Sep 2018 11:35:49 AM CEST
# Version : 0.0.1
# Description :
INSTALL_DOCKER=false
REVERT_MODE=false
DOCKER_USER="vagrant"
function log {
format="$1"
shift
arguments="$@"
printf "$(date +%T\ %F) $format\n" "$arguments"
}
functi... | true |
551b3b6d47faf00548f4e9deaa3771ff6f9f4c64 | Shell | Veuge/bash-scripting | /practica2/part1/9.sh | UTF-8 | 251 | 3.75 | 4 | [] | no_license | #!/bin/bash
#
# Comprobar que el numero de argumentos sea 2.
if [ $# -eq 2 ]; then
printf "CORRECTO! El numero de argumentos es igual a 2.\n";
exit 0;
else
printf "INCORRECTO! El numero de argumentos debe ser igual a 2\n";
exit 1;
fi
| true |
668c35e6e1b6dfb6b878d5d2e2942e9ae50b11dd | Shell | bobovnii/Stau | /NTupleMaker/test/del.sh | UTF-8 | 413 | 3.078125 | 3 | [] | no_license |
systematics="Nominal JetEnUp JetEnDown UnclEnUp UnclEnDown MuEnUp MuEnDown TauEnUp TauEnDown ElEnUp ElEnDown BTagUp BTagDown plots"
systematics="plots"
while read line
do
for syst in $systematics
do
unset dir
dir=${1}_${syst}
ext="B_OS.root"
if [[ $syst == "Nominal" ]] ; then
dir=${1}
fi
if [[ $syst == "plo... | true |
bd0add093079a0f895f9a7518b2efe01a0eb4607 | Shell | s10i/quickfix | /bootstrap | UTF-8 | 424 | 3.171875 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
rm -rf *.cache config
mkdir config
touch README NEWS AUTHORS INSTALL ChangeLog
`which glibtoolize`
if [ $? = 0 ]; then
LIBTOOLIZE=glibtoolize
else
LIBTOOLIZE=libtoolize
fi
set -ex
$LIBTOOLIZE # work around issue where autoreconf on rhel/centos 5.7 does not always run this
autoreconf -i -Wall,no-obs... | true |
89604d1ead0c7a8b2cd8cd288e45bd0766392827 | Shell | jtligon/bearded-tyrion-circles | /CPU/Black/cpu-meter.sh | UTF-8 | 1,167 | 3.359375 | 3 | [
"Unlicense"
] | permissive | #!/bin/sh
if [ `which convert | grep -c "convert"` != 0 ]
then
convert=`which convert`
else
convert=`cat ~/Documents/CIRCLE/CONFIG | grep 'CONVERT_PATH' | tail -n1 | awk '{print $2}'`;
fi
ring_col=`echo black`
meter_col=`echo black`
out=`echo /tmp/cpu-ring.png`
myCPU=`top -l 1 | awk '/CPU usage/ {print $3}' | sed s/... | true |
f25cc111ff6d3588ac7dc4e2455f2e2389e9a1df | Shell | Michael-Z/coins_ddz | /start.sh | UTF-8 | 1,565 | 3.078125 | 3 | [] | no_license | #!/bin/sh
dir=`pwd`
echo "please select which to start: "
group=$1
read -p "please select which to pack: " var_select_list
start(){
if [ $#==2 ]
then
svrindex=$2
else
svrindex=""
fi
cd $dir/svr$svrindex/$1/bin
echo "starting $1 in " .. `pwd`
./start.sh
}
for _var_select in ${var_select_list}; do
case... | true |
cc3ea2d3dcb86309a5fc0ccd3fa7fe50a93eb2d0 | Shell | ncsa/xcat-tools | /legacy_scripts/Dell/firmware/mkrunme.sh | UTF-8 | 669 | 4 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
# Given a firmware directory name
# Build a runme.sh that
# + runs each BIN in succession
# + saves all output to a known log filename (ie: timestamp.log)
# - idea is to be able to monitor progress
# - by tailing the log from all nodes using xdsh, so something like
# - xdsh <NODELIS... | true |
d6932215530f05bc852692c206c60f529918b5e1 | Shell | sidechained/ChineseWhispers | /beagleboard/soundSource/cwSoundSourceBoot.sh | UTF-8 | 1,052 | 3.59375 | 4 | [] | no_license | #! /bin/sh
# /etc/init.d/cwSoundSourceBoot.sh
### BEGIN INIT INFO
# Provides: rebDevBoot
# Required-Start:
# Required-Stop:
# Should-Start:
# Should-Stop:
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Start and stop for rebellious devices project
# Description: RebDev
### END INIT INFO
# The... | true |
cdd37e1721ef7486557001d5afbbf53dfc6a8d3b | Shell | comunidade-vtntv/destiny-i-mc | /server-scripts/backup_server | UTF-8 | 768 | 3.1875 | 3 | [] | no_license | #!/bin/sh
function compare() {
return $? == 0
}
if [ "$BACKUPS_ENABLED" == "true" ]
then
mc-monitor status --host localhost --port 35000
if compare
then
# echo Online
screen -S server -p 0 -X stuff "say [BACKUP] Salvando o mundo (esta operação poderá demorar algum tempo...)^M"
screen -S server -p 0... | true |
b86327fe5cf4b10c9dfb32180ac42ff215cc0f97 | Shell | lalawue/shell_script_stuff | /generate_rss_feeds.sh | UTF-8 | 3,992 | 3.84375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# Program: Rss generator
# Purpose: Generate rss feeds from emacs-wiki-journal
# Author : Sucha <suchaaa@gmail.com>
# Version: 1.0
# Usage : Fill in your journal information blow, then run it anywhere.
#
# History: v1.0 - 2005.05.05
# * Generate rss from the "valid" emacs-wiki-journal file
#... | true |
e7f788b10530c280f50990b08b875d994dcc3e4f | Shell | netronome-support/Tools | /dpdk/scr/install-dpdk-prox.sh | UTF-8 | 7,043 | 3.359375 | 3 | [] | no_license | #!/bin/bash
install=""
for arg in "$@" ; do
if [ "$param" == "" ]; then
case "$arg" in
"--help"|"-h")
echo "Usage: <package file>|<version>"
exit 0
;;
"--verbose"|"-v") optVerbose="yes" ;;
"--reinstall") install="yes... | true |
f8f1d758849736d6ba09a76bc5000259e4c84c58 | Shell | taufikfirmansyah/Praktikum-Sistem-Operasi | /Legacy Codes/finalprojek.sh | UTF-8 | 4,256 | 2.828125 | 3 | [] | no_license | #FINAL PROJEK SISTEM OPERASI
#TAUFIK NUR FIRMANSYAH
#18081010036
utama(){
loop=1;
jumlah=0;
tiket=0;
total=0;
Jenis_Jen1=0;
Jenis_Jen2=0;
jenis_Jen3=0;
declare -a jum
declare -a jen1
declare -a jen2
declare -a jen3
function input_Data(){
echo "=======DATA========";
echo "Masukkan nama :";
read nama;
echo "Ma... | true |
5a9ec5c97ed14d59706f5cae8ef1683694014d7a | Shell | URSec/Kage | /build/build.llvm.sh | UTF-8 | 1,238 | 3.03125 | 3 | [
"Apache-2.0",
"NCSA"
] | permissive | #!/bin/sh
#
# Path to the project root directory.
#
ROOT_DIR=`dirname $0 | sed 's/$/\/../' | xargs realpath`
#
# Path to the LLVM source directory.
#
LLVM_SRC="$ROOT_DIR/llvm-project"
#
# Path to the LLVM build directory.
#
LLVM_BUILD="$ROOT_DIR/build/llvm"
##########################################################... | true |
6b0fb231a69357dbc31b866a2292f24f31a8d3ad | Shell | axquired24/apps_version_switcher | /switcher.sh | UTF-8 | 2,811 | 3.71875 | 4 | [] | no_license | #!/bin/sh
# Selecting Version of scala
SCALA_DIR="/home/ansvia07/axscala/sdk"
SCALA_1="$SCALA_DIR/scala-2.9.1.final/bin"
SCALA_2="$SCALA_DIR/scala-2.10.6/bin"
SCALA_3="$SCALA_DIR/scala-2.12.3/bin"
JAVA_7="/usr/java/jdk1.7.0_80/bin/"
JAVA_8="/usr/java/jdk1.8.0_144/bin/"
#echo Select your scala version:
#echo 1. $SCALA... | true |
7b8e9d07d043080c0ea1149559f9f6b5f0887be4 | Shell | ShueLee8226/Week4 | /scritp4.txt | UTF-8 | 1,205 | 3.59375 | 4 | [
"Unlicense"
] | permissive | #!/bin/bash
clear
echo "This script will be about disk and filesystems"
echo "First let look at the Linux disk Partition"
fdisk -l
sleep 4
clear
echo "Now let look inside a partition and the partition table"
parted -l
sleep 4
echo "Now let create a file "
cd /home/user/
dd if=/dev/zero of=./32MB.img bs=1M count=32
sle... | true |
0be8aef3a454b3327cbb79b002c7ff98f7ed89ed | Shell | KongHuihui-CAD/cad-screen | /server/monitor.sh | UTF-8 | 1,203 | 3.359375 | 3 | [
"LicenseRef-scancode-free-unknown",
"Apache-2.0"
] | permissive | #! /bin/bash
set -e
HOST_NAME=$(hostname -s)
WEB_TASK_URL='https://wt-3c52d1a0af632076ec7752be78cc0421-0.sandbox.auth0-extend.com/gpu'
IP_ADDRESS=$(ip -4 route get 8.8.8.8 | awk {'print $7'} | tr -d '\n')
declare -a percentageList
declare -a gpuNameList
function getGpu() {
local output="$(nvidia-smi --format=csv,... | true |
c0009177cd33c51536188d8a5458dc259eede5ef | Shell | shauryajauhari/transcriptionFactoriesGREG | /terminalScripts/adjustBAMFiles.sh | UTF-8 | 436 | 3.9375 | 4 | [] | no_license | #!/bin/bash
# Takes path of the folder containing BAM files as argument.
# Initialize a counter variable. If this variable returns 1, we'll make a copy of that file.
countBAM=$(ls $1/*.bam | wc -l) # number of BAM files
BAMfile=$(ls $1/*.bam) # name of BAM file
if [ $countBAM -eq 0 ];
then
echo "No BAM files."
exi... | true |
d8efd3d3277cb5777dae9bd39635ea3717527a4e | Shell | kserge2001/Shell-script | /softlink | UTF-8 | 17,892 | 3.515625 | 4 | [] | no_license | #!/bin/ksh
#---------------------------------------------------------------------
#
#---------------------------------------------------------------------
# Process Name: WS_docroot_links.ksh
# Syntax: WS_docroot_links.ksh -f <ssi-file> -m <action>
# Author:
# Shell: ksh
# Descr... | true |
acf0d21c8d706cfcd49cc873e42d578d9c7f34e4 | Shell | Lossless-Virtual-Switching/Backdraft | /code/lib/bkdrft/make.sh | UTF-8 | 335 | 2.71875 | 3 | [
"MIT"
] | permissive | #!/bin/sh
curdir=`dirname $0`
export RTE_SDK=`realpath $curdir/../../bess-v1/deps/dpdk-19.11.1/`
export RTE_TARGET="build"
# build protobuf
if [ ! -d $curdir/protobuf/_compile ]
then
mkdir $curdir/protobuf/_compile
fi
cwd=`pwd`
cd $curdir/protobuf/
protoc-c --c_out=./_compile/ bkdrft_msg.proto
cd $cwd
rm -r $curdi... | true |
2c35150d4e6f8f844003c58ec72242841e3b19bb | Shell | aadityaawasthi9767/BootCamp | /function/Palindrone_With_Prime.sh | UTF-8 | 868 | 3.875 | 4 | [] | no_license | #! /bin/bash/ -x
# variable
reverseN=0;
originalN=0;
function prime()
{
read -p "Enter number to check if its Prime or Not: " num
for((i=2;i<=$num/2;i++))
do
if [[ $num%$i -eq 0 ]]
then
flag=1;
break;
fi
done
if [[ $num = 1 ]]
then
echo "Number is not a PRI... | true |
289e92124156703aeace6985a9ec97fe46094de2 | Shell | jeppeter/shlib | /encsh/makeinst.sh.tmpl | UTF-8 | 9,865 | 3.28125 | 3 | [] | no_license | #! /bin/bash
%DEFINESH_CODE%
%DEBUGSH_CODE%
%DEPENDSH_CODE%
read -r -d '' PYTHON_MD5_STR<<EOFMM
%PYTHON_MD5_STR%
EOFMM
read -r -d '' PERL_READLINK_STR_2<<EOFMM
use Cwd "abs_path";
print abs_path(shift);
EOFMM
res=$(check_depend "extargsparse4sh")
if [ $res -eq 0 ]
then
cat >&2 <<EOF
can not found extargsparse... | true |
85439f118c6ef17962a9ad61fdfbf20ac351d6bc | Shell | catalyst-team/catalyst-rl | /bin/tests/check_dl_nlp.sh | UTF-8 | 1,290 | 2.921875 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# Cause the script to exit if a single command fails
set -eo pipefail -v
echo "check distilbert_text_classification"
LOGFILE=./examples/logs/_tests_nlp_classification/checkpoints/_metrics.json
PYTHONPATH=./examples:./catalyst:${PYTHONPATH} \
python catalyst_rl/dl/scripts/run.py \
--expdir=./... | true |
1e047717af0a8ea14614a09d35251cb3b17717ef | Shell | junghan0611/KVSSD | /application/KVRocks/kvdb/application_patches/percona-server/setup/setup_kvrocks.sh | UTF-8 | 1,882 | 2.5625 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash -xe
ulimit -n 65536
#ulimit -c unlimited
set +e
#stopmysql.sh
sudo service mysql stop
sleep 5
sudo umount /nvmessd
sudo service irqbalance stop
#set -e
cd ~/src.master/insdb/kv_kernel_driver/iosched_dd_kr_new/nvme_iosched_driver_new
sudo rmmod nvme
sudo rmmod nvme_core
sudo insmod nvme-core.ko
sudo insmod... | true |
8f87bb08cccf8461d5288433e81f99686af074f5 | Shell | tranducquy/ansible-hadoop | /ansible/roles/wgc.hadoop/files/hadoop/topology.sh | UTF-8 | 457 | 3.359375 | 3 | [] | no_license | #!/bin/bash
HADOOP_CONF=/var/soft/hadoop-3.3.0/etc/hadoop
while [ $# -gt 0 ] ;
do
nodeArg=$1
#文件内容输入到标准输入流
exec<${HADOOP_CONF}/topology.data
result=""
while read line
do
#把输入的每一行定义为数组
ar=( $line )
if [ "${ar[0]}" = "$nodeArg" ]||[ "${ar[1]}" = "$nodeArg" ]
then
result="${ar[2]}"
fi
done
shift
if [ ... | true |
8efd9e92ead54f5449cbe7fcfa6e7dda7ee42d1d | Shell | akshayrkapadia/Debian-i3-Dotfiles | /bin/editconfig | UTF-8 | 412 | 2.90625 | 3 | [] | no_license | #!/bin/bash
CONFIG=$( echo -e "i3\ni3status\nvim" | dmenu -i -p "Config" -F -fn "monospace-13")
i3=~/.config/i3/config
i3status=~/.config/i3status/config
vim=~/.vimrc
if [[ "$CONFIG" != "" ]]; then
if [[ $CONFIG == i3 ]]; then
i3-sensible-terminal -e $i3
elif [[ $CONFIG == i3status ]]; then
i3-sensible-... | true |
c6f233345af69c34cc2b1421bf441cedc3958b5c | Shell | sterding/BRAINcode | /src/eRNA.TFBSjaspar.enrichment.sh | UTF-8 | 2,082 | 3.1875 | 3 | [] | no_license | #!/usr/bin/env bash
# script to calculate the occurance of each feature (and its counterpart) of featuresA in and beyound intervalA
# Usage: bash $pipeline_path/src/eRNA.TFBSjaspar.enrichment.sh eRNA.JASPARmotifscan.txt
# Update: re-scan the genome with fimo and all non-redudant vertebrate JASPAR motif. See ~/neurogen/... | true |
0a86a1865adf2b5cc8be29eaf246a4e86c70b4a3 | Shell | rgamec/data-migration-tools | /sanctions.sh | UTF-8 | 1,837 | 3.9375 | 4 | [] | no_license | #! /bin/bash
sanctions_file="sanctionsconlist.txt"
sanctions_file_url="http://hmt-sanctions.s3.amazonaws.com/sanctionsconlist.txt"
if [ ! -e "$sanctions_file" ]; then
echo "No sanctions file present. Now downloading..."
wget -q "$sanctions_file_url" || exit 1
fi
echo -n "Sanctions file present. Last updated: "
stat... | true |
2cdbaa503d3af4a19572018d8c57ff44c17f3b18 | Shell | bossjones/boss-grafana-graphite | /.envrc | UTF-8 | 603 | 3.109375 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# source: https://github.com/moby/moby/issues/1143
export DOCKERHOST=$(ifconfig | grep -E "([0-9]{1,3}\.){3}[0-9]{1,3}" | grep -v 127.0.0.1 | awk '{ print $2 }' | cut -f2 -d: | head -n1)
export HOST_IP=$(curl ipv4.icanhazip.com 2>/dev/null)
export _YOUR_HOSTNAME=$(hostname | cut -d "." -f1 | awk '{p... | true |
57fe717edf3c26a150f56a16896040c91750c741 | Shell | ioppermann/munin-contrib | /plugins/db2/db2_cnx | UTF-8 | 1,048 | 3.015625 | 3 | [] | no_license | #! /bin/sh
# (c) 2012 - Steve Schnepp - LGPL
# XXX - coded hastily
# Source the DB2 profile
. /home/db2inst1/sqllib/db2profile
echo "graph_title Number of connections"
echo "graph_category db"
echo "graph_args -l 0"
db2 list application | tail +5 | awk ' /^[A-Z]/ { print $1 }' | sort | uniq -c > $HOME/run/$(basenam... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.